# Generated from unicorn-academia-4.7.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name unicorn-academia

Name: rubygem-%{gem_name}
Version: 4.7.0.1
Release: 1%{?dist}
Summary: Rack HTTP server for fast clients and Unix
License: GPLv2+ and Ruby 1.8
URL: http://unicorn.bogomips.org/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel
# Compiler is required for build of gem binary extension.
# https://fedoraproject.org/wiki/Packaging:C_and_C++#BuildRequires_and_Requires
BuildRequires: gcc
# BuildRequires: rubygem(isolate) >= 3.2
# BuildRequires: rubygem(isolate) < 4
# BuildRequires: rubygem(wrongdoc) >= 1.6.1
# BuildRequires: rubygem(wrongdoc) < 1.7

%description
\Unicorn is an HTTP server for Rack applications designed to only serve
fast clients on low-latency, high-bandwidth connections and take
advantage of features in Unix/Unix-like kernels.  Slow clients should
only be served by placing a reverse proxy capable of fully buffering
both the the request and response in between \Unicorn and slow clients.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/unicorn
%{_bindir}/unicorn_rails
%{gem_extdir_mri}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.mailmap
%{gem_instdir}/.manifest
%{gem_instdir}/Application_Timeouts
%license %{gem_instdir}/COPYING
%{gem_instdir}/DESIGN
%{gem_instdir}/Documentation
%{gem_instdir}/FAQ
%{gem_instdir}/GIT-VERSION-FILE
%{gem_instdir}/GIT-VERSION-GEN
%{gem_instdir}/GNUmakefile
%{gem_instdir}/HACKING
%{gem_instdir}/ISSUES
%{gem_instdir}/KNOWN_ISSUES
%{gem_instdir}/LATEST
%license %{gem_instdir}/LICENSE
%{gem_instdir}/Links
%{gem_instdir}/PHILOSOPHY
%{gem_instdir}/SIGNALS
%{gem_instdir}/Sandbox
%{gem_instdir}/TODO
%{gem_instdir}/TUNING
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/local.mk.sample
%{gem_instdir}/man
%{gem_instdir}/script
%{gem_instdir}/setup.rb
%{gem_instdir}/t
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.CHANGELOG.old
%doc %{gem_instdir}/.document
%doc %{gem_instdir}/.wrongdoc.yml
%doc %{gem_instdir}/CONTRIBUTORS
%doc %{gem_instdir}/ChangeLog
%doc %{gem_instdir}/NEWS
%doc %{gem_instdir}/README
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/test
%{gem_instdir}/unicorn-academia.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 4.7.0.1-1
- Initial package
